curl --request PATCH \
--url https://api.sandbox.getasset.com/v0/business/{business_id}/journal-entries \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
[
{
"journal_entry_id": "<string>",
"changes": {
"description": "<string>",
"datetime": "2023-11-07T05:31:56Z",
"line_changes": {
"create_lines": [
{
"ledger_id": "<string>",
"description": "<string>",
"debit_credit": "debit",
"amount": 1,
"tag_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"basis": "all"
}
],
"delete_lines": [
"<string>"
]
},
"review_status": "bookkeeper_pending",
"is_reconciled": true
}
}
]
'{
"data": [
{
"business_id": "<string>",
"description": "<string>",
"clean_description": "<string>",
"datetime": "2023-11-07T05:31:56Z",
"is_reconciled": true,
"review_status": "bookkeeper_pending",
"id": "<string>",
"transaction_id": "txn_WQMDNUHpBThYSNh4AprDBo",
"line_entries": [
{
"ledger_id": "<string>",
"description": "<string>",
"debit_credit": "debit",
"amount": 123,
"id": "<string>",
"journal_entry_id": "<string>",
"transaction_id": "txn_WQMDNUHpBThYSNh4AprDBo"
}
],
"categorization_method": "refund",
"invoice_id": "inv_WQMDNUHpBThYSNh4AprDBo"
}
]
}curl --request PATCH \
--url https://api.sandbox.getasset.com/v0/business/{business_id}/journal-entries \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
[
{
"journal_entry_id": "<string>",
"changes": {
"description": "<string>",
"datetime": "2023-11-07T05:31:56Z",
"line_changes": {
"create_lines": [
{
"ledger_id": "<string>",
"description": "<string>",
"debit_credit": "debit",
"amount": 1,
"tag_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"basis": "all"
}
],
"delete_lines": [
"<string>"
]
},
"review_status": "bookkeeper_pending",
"is_reconciled": true
}
}
]
'{
"data": [
{
"business_id": "<string>",
"description": "<string>",
"clean_description": "<string>",
"datetime": "2023-11-07T05:31:56Z",
"is_reconciled": true,
"review_status": "bookkeeper_pending",
"id": "<string>",
"transaction_id": "txn_WQMDNUHpBThYSNh4AprDBo",
"line_entries": [
{
"ledger_id": "<string>",
"description": "<string>",
"debit_credit": "debit",
"amount": 123,
"id": "<string>",
"journal_entry_id": "<string>",
"transaction_id": "txn_WQMDNUHpBThYSNh4AprDBo"
}
],
"categorization_method": "refund",
"invoice_id": "inv_WQMDNUHpBThYSNh4AprDBo"
}
]
}The access token received from the authorization server in the OAuth 2.0 flow.
Optional external entity identifier that performed the update
100The ID of the Journal Entry to update
The changes to apply to the Journal Entry
Show child attributes
The description of the Journal Entry
The datetime the Journal Entry was created in UTC ISO-8601 format
An object with optional create and delete values that modify the
lines in the Journal Entry. To update a line, simply remove the old line and add a
new one.
Show child attributes
A list of new Line Entries to add
Show child attributes
The ID of the Ledger associated with the Line Entry
The line entry description
512Indicates whether this a debit or credit line
debit, credit The line amount in decimal dollar cents, and it most always be positive
x >= 0The IDs of the tags associated with the Line Entry
The basis of the line entry
all, accrual, modified_cash A list of Line Entry IDs to delete
The new status to set on the Journal Entry
bookkeeper_pending, business_pending, confirmed Whether the Journal Entry is reconciled
Successful Response
Show child attributes
The ID of the Business that is associated with the Journal Entry
The description of the Journal Entry
512A more human-readable version of the description
512The review status of the journal entry
bookkeeper_pending, business_pending, confirmed The ID of the Journal Entry
The ID of the associated Transaction if the Journal Entry was created from a Transaction
"txn_WQMDNUHpBThYSNh4AprDBo"
The Line Entries for this Journal Entry
Show child attributes
The ID of the Ledger associated with the Line Entry
The line entry description
512Indicates whether this a debit or credit line
debit, credit The line amount in decimal dollar cents, and it most always be positive
The ID of the Line Entry
The ID of the parent Journal Entry
The ID of the associated Transaction if the Line Entry was created from a Transaction
"txn_WQMDNUHpBThYSNh4AprDBo"
The method used to categorize the Journal Entry
refund, transfer, similarity, plaid, ai, ar, ap, uncategorized, manual The ID of the associated Invoice
"inv_WQMDNUHpBThYSNh4AprDBo"